tigase.workgroupqueues.data

## Class WorkgroupQueueEntity

- java.lang.Object
- - tigase.workgroupqueues.data.WorkgroupQueueEntity

-     public class WorkgroupQueueEntity
      extends Object

  Data Object Class. Represents queue stored in database.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkgroupQueueEntity(BareJID jid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `BareJID[]` | `getAgents()` Returns list of JIDs allowed to be agent in this queue.
    `Date` | `getCreationDate()`
    `BareJID` | `getCreatorJid()`
    `String` | `getDescription()` Returns human readable description of workgroup queue.
    `BareJID` | `getJid()` Returns JID of workgroup queue.
    `String` | `getMucDomain()` Returns MUC Component domain name.
    `int` | `hashCode()`
    `void` | `setAgents(BareJID[] agents)` Sets list of JIDs allowed to be agent.
    `void` | `setCreationDate(Date creationDate)`
    `void` | `setCreatorJid(BareJID creatorJid)`
    `void` | `setDescription(String description)` Sets human readable description of workgroup queue.
    `void` | `setMucDomain(String mucDomain)` Sets MUC Component domain name.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkgroupQueueEntity

          public WorkgroupQueueEntity(BareJID jid)

  - ### Method Detail

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### getAgents

          public BareJID[] getAgents()

      Returns list of JIDs allowed to be agent in this queue.
      Returns:
        arrays of agents JIDs

    - #### setAgents

          public void setAgents(BareJID[] agents)

      Sets list of JIDs allowed to be agent.
      Parameters:
        `agents` - agents JIDs

    - #### getCreationDate

          public Date getCreationDate()

    - #### setCreationDate

          public void setCreationDate(Date creationDate)

    - #### getCreatorJid

          public BareJID getCreatorJid()

    - #### setCreatorJid

          public void setCreatorJid(BareJID creatorJid)

    - #### getDescription

          public String getDescription()

      Returns human readable description of workgroup queue.
      Returns:
        human readable description of workgroup queue.

    - #### setDescription

          public void setDescription(String description)

      Sets human readable description of workgroup queue.
      Parameters:
        `description` - human readable description of workgroup queue.

    - #### getJid

          public BareJID getJid()

      Returns JID of workgroup queue.
      Returns:
        JID

    - #### getMucDomain

          public String getMucDomain()

      Returns MUC Component domain name. Can be `null`, then default will be used.
      Returns:
        domain of MUC Component

    - #### setMucDomain

          public void setMucDomain(String mucDomain)

      Sets MUC Component domain name. Can be `null`, then default will be used.
      Parameters:
        `mucDomain` - domain od MUC

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.